Index: lemon/smart_graph.h
===================================================================
--- lemon/smart_graph.h	(revision 1336)
+++ lemon/smart_graph.h	(revision 1270)
@@ -48,6 +48,6 @@
     };
 
-    std::vector<NodeT> _nodes;
-    std::vector<ArcT> _arcs;
+    std::vector<NodeT> nodes;
+    std::vector<ArcT> arcs;
 
   public:
@@ -60,33 +60,33 @@
   public:
 
-    SmartDigraphBase() : _nodes(), _arcs() { }
+    SmartDigraphBase() : nodes(), arcs() { }
     SmartDigraphBase(const SmartDigraphBase &_g)
-      : _nodes(_g._nodes), _arcs(_g._arcs) { }
+      : nodes(_g.nodes), arcs(_g.arcs) { }
 
     typedef True NodeNumTag;
     typedef True ArcNumTag;
 
-    int nodeNum() const { return _nodes.size(); }
-    int arcNum() const { return _arcs.size(); }
-
-    int maxNodeId() const { return _nodes.size()-1; }
-    int maxArcId() const { return _arcs.size()-1; }
+    int nodeNum() const { return nodes.size(); }
+    int arcNum() const { return arcs.size(); }
+
+    int maxNodeId() const { return nodes.size()-1; }
+    int maxArcId() const { return arcs.size()-1; }
 
     Node addNode() {
-      int n = _nodes.size();
-      _nodes.push_back(NodeT());
-      _nodes[n].first_in = -1;
-      _nodes[n].first_out = -1;
+      int n = nodes.size();
+      nodes.push_back(NodeT());
+      nodes[n].first_in = -1;
+      nodes[n].first_out = -1;
       return Node(n);
     }
 
     Arc addArc(Node u, Node v) {
-      int n = _arcs.size();
-      _arcs.push_back(ArcT());
-      _arcs[n].source = u._id;
-      _arcs[n].target = v._id;
-      _arcs[n].next_out = _nodes[u._id].first_out;
-      _arcs[n].next_in = _nodes[v._id].first_in;
-      _nodes[u._id].first_out = _nodes[v._id].first_in = n;
+      int n = arcs.size();
+      arcs.push_back(ArcT());
+      arcs[n].source = u._id;
+      arcs[n].target = v._id;
+      arcs[n].next_out = nodes[u._id].first_out;
+      arcs[n].next_in = nodes[v._id].first_in;
+      nodes[u._id].first_out = nodes[v._id].first_in = n;
 
       return Arc(n);
@@ -94,10 +94,10 @@
 
     void clear() {
-      _arcs.clear();
-      _nodes.clear();
-    }
-
-    Node source(Arc a) const { return Node(_arcs[a._id].source); }
-    Node target(Arc a) const { return Node(_arcs[a._id].target); }
+      arcs.clear();
+      nodes.clear();
+    }
+
+    Node source(Arc a) const { return Node(arcs[a._id].source); }
+    Node target(Arc a) const { return Node(arcs[a._id].target); }
 
     static int id(Node v) { return v._id; }
@@ -108,8 +108,8 @@
 
     bool valid(Node n) const {
-      return n._id >= 0 && n._id < static_cast<int>(_nodes.size());
+      return n._id >= 0 && n._id < static_cast<int>(nodes.size());
     }
     bool valid(Arc a) const {
-      return a._id >= 0 && a._id < static_cast<int>(_arcs.size());
+      return a._id >= 0 && a._id < static_cast<int>(arcs.size());
     }
 
@@ -146,5 +146,5 @@
 
     void first(Node& node) const {
-      node._id = _nodes.size() - 1;
+      node._id = nodes.size() - 1;
     }
 
@@ -154,5 +154,5 @@
 
     void first(Arc& arc) const {
-      arc._id = _arcs.size() - 1;
+      arc._id = arcs.size() - 1;
     }
 
@@ -162,17 +162,17 @@
 
     void firstOut(Arc& arc, const Node& node) const {
-      arc._id = _nodes[node._id].first_out;
+      arc._id = nodes[node._id].first_out;
     }
 
     void nextOut(Arc& arc) const {
-      arc._id = _arcs[arc._id].next_out;
+      arc._id = arcs[arc._id].next_out;
     }
 
     void firstIn(Arc& arc, const Node& node) const {
-      arc._id = _nodes[node._id].first_in;
+      arc._id = nodes[node._id].first_in;
     }
 
     void nextIn(Arc& arc) const {
-      arc._id = _arcs[arc._id].next_in;
+      arc._id = arcs[arc._id].next_in;
     }
 
@@ -267,8 +267,8 @@
     {
       Node b = addNode();
-      _nodes[b._id].first_out=_nodes[n._id].first_out;
-      _nodes[n._id].first_out=-1;
-      for(int i=_nodes[b._id].first_out; i!=-1; i=_arcs[i].next_out) {
-        _arcs[i].source=b._id;
+      nodes[b._id].first_out=nodes[n._id].first_out;
+      nodes[n._id].first_out=-1;
+      for(int i=nodes[b._id].first_out; i!=-1; i=arcs[i].next_out) {
+        arcs[i].source=b._id;
       }
       if(connect) addArc(n,b);
@@ -292,5 +292,5 @@
     /// to build the digraph.
     /// \sa reserveArc()
-    void reserveNode(int n) { _nodes.reserve(n); };
+    void reserveNode(int n) { nodes.reserve(n); };
 
     /// Reserve memory for arcs.
@@ -302,5 +302,5 @@
     /// to build the digraph.
     /// \sa reserveNode()
-    void reserveArc(int m) { _arcs.reserve(m); };
+    void reserveArc(int m) { arcs.reserve(m); };
 
   public:
@@ -312,15 +312,15 @@
     void restoreSnapshot(const Snapshot &s)
     {
-      while(s.arc_num<_arcs.size()) {
-        Arc arc = arcFromId(_arcs.size()-1);
+      while(s.arc_num<arcs.size()) {
+        Arc arc = arcFromId(arcs.size()-1);
         Parent::notifier(Arc()).erase(arc);
-        _nodes[_arcs.back().source].first_out=_arcs.back().next_out;
-        _nodes[_arcs.back().target].first_in=_arcs.back().next_in;
-        _arcs.pop_back();
-      }
-      while(s.node_num<_nodes.size()) {
-        Node node = nodeFromId(_nodes.size()-1);
+        nodes[arcs.back().source].first_out=arcs.back().next_out;
+        nodes[arcs.back().target].first_in=arcs.back().next_in;
+        arcs.pop_back();
+      }
+      while(s.node_num<nodes.size()) {
+        Node node = nodeFromId(nodes.size()-1);
         Parent::notifier(Node()).erase(node);
-        _nodes.pop_back();
+        nodes.pop_back();
       }
     }
@@ -363,6 +363,6 @@
       ///
       Snapshot(SmartDigraph &gr) : _graph(&gr) {
-        node_num=_graph->_nodes.size();
-        arc_num=_graph->_arcs.size();
+        node_num=_graph->nodes.size();
+        arc_num=_graph->arcs.size();
       }
 
@@ -374,6 +374,6 @@
       void save(SmartDigraph &gr) {
         _graph=&gr;
-        node_num=_graph->_nodes.size();
-        arc_num=_graph->_arcs.size();
+        node_num=_graph->nodes.size();
+        arc_num=_graph->arcs.size();
       }
 
@@ -403,6 +403,6 @@
     };
 
-    std::vector<NodeT> _nodes;
-    std::vector<ArcT> _arcs;
+    std::vector<NodeT> nodes;
+    std::vector<ArcT> arcs;
 
   public:
@@ -466,5 +466,5 @@
 
     SmartGraphBase()
-      : _nodes(), _arcs() {}
+      : nodes(), arcs() {}
 
     typedef True NodeNumTag;
@@ -472,17 +472,17 @@
     typedef True ArcNumTag;
 
-    int nodeNum() const { return _nodes.size(); }
-    int edgeNum() const { return _arcs.size() / 2; }
-    int arcNum() const { return _arcs.size(); }
-
-    int maxNodeId() const { return _nodes.size()-1; }
-    int maxEdgeId() const { return _arcs.size() / 2 - 1; }
-    int maxArcId() const { return _arcs.size()-1; }
-
-    Node source(Arc e) const { return Node(_arcs[e._id ^ 1].target); }
-    Node target(Arc e) const { return Node(_arcs[e._id].target); }
-
-    Node u(Edge e) const { return Node(_arcs[2 * e._id].target); }
-    Node v(Edge e) const { return Node(_arcs[2 * e._id + 1].target); }
+    int nodeNum() const { return nodes.size(); }
+    int edgeNum() const { return arcs.size() / 2; }
+    int arcNum() const { return arcs.size(); }
+
+    int maxNodeId() const { return nodes.size()-1; }
+    int maxEdgeId() const { return arcs.size() / 2 - 1; }
+    int maxArcId() const { return arcs.size()-1; }
+
+    Node source(Arc e) const { return Node(arcs[e._id ^ 1].target); }
+    Node target(Arc e) const { return Node(arcs[e._id].target); }
+
+    Node u(Edge e) const { return Node(arcs[2 * e._id].target); }
+    Node v(Edge e) const { return Node(arcs[2 * e._id + 1].target); }
 
     static bool direction(Arc e) {
@@ -495,5 +495,5 @@
 
     void first(Node& node) const {
-      node._id = _nodes.size() - 1;
+      node._id = nodes.size() - 1;
     }
 
@@ -503,5 +503,5 @@
 
     void first(Arc& arc) const {
-      arc._id = _arcs.size() - 1;
+      arc._id = arcs.size() - 1;
     }
 
@@ -511,5 +511,5 @@
 
     void first(Edge& arc) const {
-      arc._id = _arcs.size() / 2 - 1;
+      arc._id = arcs.size() / 2 - 1;
     }
 
@@ -519,21 +519,21 @@
 
     void firstOut(Arc &arc, const Node& v) const {
-      arc._id = _nodes[v._id].first_out;
+      arc._id = nodes[v._id].first_out;
     }
     void nextOut(Arc &arc) const {
-      arc._id = _arcs[arc._id].next_out;
+      arc._id = arcs[arc._id].next_out;
     }
 
     void firstIn(Arc &arc, const Node& v) const {
-      arc._id = ((_nodes[v._id].first_out) ^ 1);
+      arc._id = ((nodes[v._id].first_out) ^ 1);
       if (arc._id == -2) arc._id = -1;
     }
     void nextIn(Arc &arc) const {
-      arc._id = ((_arcs[arc._id ^ 1].next_out) ^ 1);
+      arc._id = ((arcs[arc._id ^ 1].next_out) ^ 1);
       if (arc._id == -2) arc._id = -1;
     }
 
     void firstInc(Edge &arc, bool& d, const Node& v) const {
-      int de = _nodes[v._id].first_out;
+      int de = nodes[v._id].first_out;
       if (de != -1) {
         arc._id = de / 2;
@@ -545,5 +545,5 @@
     }
     void nextInc(Edge &arc, bool& d) const {
-      int de = (_arcs[(arc._id * 2) | (d ? 1 : 0)].next_out);
+      int de = (arcs[(arc._id * 2) | (d ? 1 : 0)].next_out);
       if (de != -1) {
         arc._id = de / 2;
@@ -564,17 +564,17 @@
 
     bool valid(Node n) const {
-      return n._id >= 0 && n._id < static_cast<int>(_nodes.size());
+      return n._id >= 0 && n._id < static_cast<int>(nodes.size());
     }
     bool valid(Arc a) const {
-      return a._id >= 0 && a._id < static_cast<int>(_arcs.size());
+      return a._id >= 0 && a._id < static_cast<int>(arcs.size());
     }
     bool valid(Edge e) const {
-      return e._id >= 0 && 2 * e._id < static_cast<int>(_arcs.size());
+      return e._id >= 0 && 2 * e._id < static_cast<int>(arcs.size());
     }
 
     Node addNode() {
-      int n = _nodes.size();
-      _nodes.push_back(NodeT());
-      _nodes[n].first_out = -1;
+      int n = nodes.size();
+      nodes.push_back(NodeT());
+      nodes[n].first_out = -1;
 
       return Node(n);
@@ -582,16 +582,16 @@
 
     Edge addEdge(Node u, Node v) {
-      int n = _arcs.size();
-      _arcs.push_back(ArcT());
-      _arcs.push_back(ArcT());
-
-      _arcs[n].target = u._id;
-      _arcs[n | 1].target = v._id;
-
-      _arcs[n].next_out = _nodes[v._id].first_out;
-      _nodes[v._id].first_out = n;
-
-      _arcs[n | 1].next_out = _nodes[u._id].first_out;
-      _nodes[u._id].first_out = (n | 1);
+      int n = arcs.size();
+      arcs.push_back(ArcT());
+      arcs.push_back(ArcT());
+
+      arcs[n].target = u._id;
+      arcs[n | 1].target = v._id;
+
+      arcs[n].next_out = nodes[v._id].first_out;
+      nodes[v._id].first_out = n;
+
+      arcs[n | 1].next_out = nodes[u._id].first_out;
+      nodes[u._id].first_out = (n | 1);
 
       return Edge(n / 2);
@@ -599,6 +599,6 @@
 
     void clear() {
-      _arcs.clear();
-      _nodes.clear();
+      arcs.clear();
+      nodes.clear();
     }
 
@@ -702,5 +702,5 @@
     /// to build the graph.
     /// \sa reserveEdge()
-    void reserveNode(int n) { _nodes.reserve(n); };
+    void reserveNode(int n) { nodes.reserve(n); };
 
     /// Reserve memory for edges.
@@ -712,5 +712,5 @@
     /// to build the graph.
     /// \sa reserveNode()
-    void reserveEdge(int m) { _arcs.reserve(2 * m); };
+    void reserveEdge(int m) { arcs.reserve(2 * m); };
 
   public:
@@ -723,12 +723,12 @@
     {
       s._graph = this;
-      s.node_num = _nodes.size();
-      s.arc_num = _arcs.size();
+      s.node_num = nodes.size();
+      s.arc_num = arcs.size();
     }
 
     void restoreSnapshot(const Snapshot &s)
     {
-      while(s.arc_num<_arcs.size()) {
-        int n=_arcs.size()-1;
+      while(s.arc_num<arcs.size()) {
+        int n=arcs.size()-1;
         Edge arc=edgeFromId(n/2);
         Parent::notifier(Edge()).erase(arc);
@@ -737,14 +737,14 @@
         dir.push_back(arcFromId(n-1));
         Parent::notifier(Arc()).erase(dir);
-        _nodes[_arcs[n-1].target].first_out=_arcs[n].next_out;
-        _nodes[_arcs[n].target].first_out=_arcs[n-1].next_out;
-        _arcs.pop_back();
-        _arcs.pop_back();
-      }
-      while(s.node_num<_nodes.size()) {
-        int n=_nodes.size()-1;
+        nodes[arcs[n-1].target].first_out=arcs[n].next_out;
+        nodes[arcs[n].target].first_out=arcs[n-1].next_out;
+        arcs.pop_back();
+        arcs.pop_back();
+      }
+      while(s.node_num<nodes.size()) {
+        int n=nodes.size()-1;
         Node node = nodeFromId(n);
         Parent::notifier(Node()).erase(node);
-        _nodes.pop_back();
+        nodes.pop_back();
       }
     }
@@ -826,6 +826,6 @@
     };
 
-    std::vector<NodeT> _nodes;
-    std::vector<ArcT> _arcs;
+    std::vector<NodeT> nodes;
+    std::vector<ArcT> arcs;
 
     int first_red, first_blue;
@@ -916,5 +916,5 @@
 
     SmartBpGraphBase()
-      : _nodes(), _arcs(), first_red(-1), first_blue(-1),
+      : nodes(), arcs(), first_red(-1), first_blue(-1),
         max_red(-1), max_blue(-1) {}
 
@@ -923,30 +923,30 @@
     typedef True ArcNumTag;
 
-    int nodeNum() const { return _nodes.size(); }
+    int nodeNum() const { return nodes.size(); }
     int redNum() const { return max_red + 1; }
     int blueNum() const { return max_blue + 1; }
-    int edgeNum() const { return _arcs.size() / 2; }
-    int arcNum() const { return _arcs.size(); }
-
-    int maxNodeId() const { return _nodes.size()-1; }
+    int edgeNum() const { return arcs.size() / 2; }
+    int arcNum() const { return arcs.size(); }
+
+    int maxNodeId() const { return nodes.size()-1; }
     int maxRedId() const { return max_red; }
     int maxBlueId() const { return max_blue; }
-    int maxEdgeId() const { return _arcs.size() / 2 - 1; }
-    int maxArcId() const { return _arcs.size()-1; }
-
-    bool red(Node n) const { return _nodes[n._id].red; }
-    bool blue(Node n) const { return !_nodes[n._id].red; }
+    int maxEdgeId() const { return arcs.size() / 2 - 1; }
+    int maxArcId() const { return arcs.size()-1; }
+
+    bool red(Node n) const { return nodes[n._id].red; }
+    bool blue(Node n) const { return !nodes[n._id].red; }
 
     static RedNode asRedNodeUnsafe(Node n) { return RedNode(n._id); }
     static BlueNode asBlueNodeUnsafe(Node n) { return BlueNode(n._id); }
 
-    Node source(Arc a) const { return Node(_arcs[a._id ^ 1].target); }
-    Node target(Arc a) const { return Node(_arcs[a._id].target); }
+    Node source(Arc a) const { return Node(arcs[a._id ^ 1].target); }
+    Node target(Arc a) const { return Node(arcs[a._id].target); }
 
     RedNode redNode(Edge e) const {
-      return RedNode(_arcs[2 * e._id].target);
+      return RedNode(arcs[2 * e._id].target);
     }
     BlueNode blueNode(Edge e) const {
-      return BlueNode(_arcs[2 * e._id + 1].target);
+      return BlueNode(arcs[2 * e._id + 1].target);
     }
 
@@ -960,5 +960,5 @@
 
     void first(Node& node) const {
-      node._id = _nodes.size() - 1;
+      node._id = nodes.size() - 1;
     }
 
@@ -972,5 +972,5 @@
 
     void next(RedNode& node) const {
-      node._id = _nodes[node._id].partition_next;
+      node._id = nodes[node._id].partition_next;
     }
 
@@ -980,9 +980,9 @@
 
     void next(BlueNode& node) const {
-      node._id = _nodes[node._id].partition_next;
+      node._id = nodes[node._id].partition_next;
     }
 
     void first(Arc& arc) const {
-      arc._id = _arcs.size() - 1;
+      arc._id = arcs.size() - 1;
     }
 
@@ -992,5 +992,5 @@
 
     void first(Edge& arc) const {
-      arc._id = _arcs.size() / 2 - 1;
+      arc._id = arcs.size() / 2 - 1;
     }
 
@@ -1000,21 +1000,21 @@
 
     void firstOut(Arc &arc, const Node& v) const {
-      arc._id = _nodes[v._id].first_out;
+      arc._id = nodes[v._id].first_out;
     }
     void nextOut(Arc &arc) const {
-      arc._id = _arcs[arc._id].next_out;
+      arc._id = arcs[arc._id].next_out;
     }
 
     void firstIn(Arc &arc, const Node& v) const {
-      arc._id = ((_nodes[v._id].first_out) ^ 1);
+      arc._id = ((nodes[v._id].first_out) ^ 1);
       if (arc._id == -2) arc._id = -1;
     }
     void nextIn(Arc &arc) const {
-      arc._id = ((_arcs[arc._id ^ 1].next_out) ^ 1);
+      arc._id = ((arcs[arc._id ^ 1].next_out) ^ 1);
       if (arc._id == -2) arc._id = -1;
     }
 
     void firstInc(Edge &arc, bool& d, const Node& v) const {
-      int de = _nodes[v._id].first_out;
+      int de = nodes[v._id].first_out;
       if (de != -1) {
         arc._id = de / 2;
@@ -1026,5 +1026,5 @@
     }
     void nextInc(Edge &arc, bool& d) const {
-      int de = (_arcs[(arc._id * 2) | (d ? 1 : 0)].next_out);
+      int de = (arcs[(arc._id * 2) | (d ? 1 : 0)].next_out);
       if (de != -1) {
         arc._id = de / 2;
@@ -1037,6 +1037,6 @@
 
     static int id(Node v) { return v._id; }
-    int id(RedNode v) const { return _nodes[v._id].partition_index; }
-    int id(BlueNode v) const { return _nodes[v._id].partition_index; }
+    int id(RedNode v) const { return nodes[v._id].partition_index; }
+    int id(BlueNode v) const { return nodes[v._id].partition_index; }
     static int id(Arc e) { return e._id; }
     static int id(Edge e) { return e._id; }
@@ -1047,20 +1047,20 @@
 
     bool valid(Node n) const {
-      return n._id >= 0 && n._id < static_cast<int>(_nodes.size());
+      return n._id >= 0 && n._id < static_cast<int>(nodes.size());
     }
     bool valid(Arc a) const {
-      return a._id >= 0 && a._id < static_cast<int>(_arcs.size());
+      return a._id >= 0 && a._id < static_cast<int>(arcs.size());
     }
     bool valid(Edge e) const {
-      return e._id >= 0 && 2 * e._id < static_cast<int>(_arcs.size());
+      return e._id >= 0 && 2 * e._id < static_cast<int>(arcs.size());
     }
 
     RedNode addRedNode() {
-      int n = _nodes.size();
-      _nodes.push_back(NodeT());
-      _nodes[n].first_out = -1;
-      _nodes[n].red = true;
-      _nodes[n].partition_index = ++max_red;
-      _nodes[n].partition_next = first_red;
+      int n = nodes.size();
+      nodes.push_back(NodeT());
+      nodes[n].first_out = -1;
+      nodes[n].red = true;
+      nodes[n].partition_index = ++max_red;
+      nodes[n].partition_next = first_red;
       first_red = n;
 
@@ -1069,10 +1069,10 @@
 
     BlueNode addBlueNode() {
-      int n = _nodes.size();
-      _nodes.push_back(NodeT());
-      _nodes[n].first_out = -1;
-      _nodes[n].red = false;
-      _nodes[n].partition_index = ++max_blue;
-      _nodes[n].partition_next = first_blue;
+      int n = nodes.size();
+      nodes.push_back(NodeT());
+      nodes[n].first_out = -1;
+      nodes[n].red = false;
+      nodes[n].partition_index = ++max_blue;
+      nodes[n].partition_next = first_blue;
       first_blue = n;
 
@@ -1081,16 +1081,16 @@
 
     Edge addEdge(RedNode u, BlueNode v) {
-      int n = _arcs.size();
-      _arcs.push_back(ArcT());
-      _arcs.push_back(ArcT());
-
-      _arcs[n].target = u._id;
-      _arcs[n | 1].target = v._id;
-
-      _arcs[n].next_out = _nodes[v._id].first_out;
-      _nodes[v._id].first_out = n;
-
-      _arcs[n | 1].next_out = _nodes[u._id].first_out;
-      _nodes[u._id].first_out = (n | 1);
+      int n = arcs.size();
+      arcs.push_back(ArcT());
+      arcs.push_back(ArcT());
+
+      arcs[n].target = u._id;
+      arcs[n | 1].target = v._id;
+
+      arcs[n].next_out = nodes[v._id].first_out;
+      nodes[v._id].first_out = n;
+
+      arcs[n | 1].next_out = nodes[u._id].first_out;
+      nodes[u._id].first_out = (n | 1);
 
       return Edge(n / 2);
@@ -1098,6 +1098,6 @@
 
     void clear() {
-      _arcs.clear();
-      _nodes.clear();
+      arcs.clear();
+      nodes.clear();
       first_red = -1;
       first_blue = -1;
@@ -1214,5 +1214,5 @@
     /// to build the graph.
     /// \sa reserveEdge()
-    void reserveNode(int n) { _nodes.reserve(n); };
+    void reserveNode(int n) { nodes.reserve(n); };
 
     /// Reserve memory for edges.
@@ -1224,5 +1224,5 @@
     /// to build the graph.
     /// \sa reserveNode()
-    void reserveEdge(int m) { _arcs.reserve(2 * m); };
+    void reserveEdge(int m) { arcs.reserve(2 * m); };
 
   public:
@@ -1235,12 +1235,12 @@
     {
       s._graph = this;
-      s.node_num = _nodes.size();
-      s.arc_num = _arcs.size();
+      s.node_num = nodes.size();
+      s.arc_num = arcs.size();
     }
 
     void restoreSnapshot(const Snapshot &s)
     {
-      while(s.arc_num<_arcs.size()) {
-        int n=_arcs.size()-1;
+      while(s.arc_num<arcs.size()) {
+        int n=arcs.size()-1;
         Edge arc=edgeFromId(n/2);
         Parent::notifier(Edge()).erase(arc);
@@ -1249,16 +1249,16 @@
         dir.push_back(arcFromId(n-1));
         Parent::notifier(Arc()).erase(dir);
-        _nodes[_arcs[n-1].target].first_out=_arcs[n].next_out;
-        _nodes[_arcs[n].target].first_out=_arcs[n-1].next_out;
-        _arcs.pop_back();
-        _arcs.pop_back();
-      }
-      while(s.node_num<_nodes.size()) {
-        int n=_nodes.size()-1;
+        nodes[arcs[n-1].target].first_out=arcs[n].next_out;
+        nodes[arcs[n].target].first_out=arcs[n-1].next_out;
+        arcs.pop_back();
+        arcs.pop_back();
+      }
+      while(s.node_num<nodes.size()) {
+        int n=nodes.size()-1;
         Node node = nodeFromId(n);
         if (Parent::red(node)) {
-          first_red = _nodes[n].partition_next;
+          first_red = nodes[n].partition_next;
           if (first_red != -1) {
-            max_red = _nodes[first_red].partition_index;
+            max_red = nodes[first_red].partition_index;
           } else {
             max_red = -1;
@@ -1266,7 +1266,7 @@
           Parent::notifier(RedNode()).erase(asRedNodeUnsafe(node));
         } else {
-          first_blue = _nodes[n].partition_next;
+          first_blue = nodes[n].partition_next;
           if (first_blue != -1) {
-            max_blue = _nodes[first_blue].partition_index;
+            max_blue = nodes[first_blue].partition_index;
           } else {
             max_blue = -1;
@@ -1275,5 +1275,5 @@
         }
         Parent::notifier(Node()).erase(node);
-        _nodes.pop_back();
+        nodes.pop_back();
       }
     }
Index: lemon/soplex.cc
===================================================================
--- lemon/soplex.cc	(revision 1336)
+++ lemon/soplex.cc	(revision 1270)
@@ -38,6 +38,6 @@
 
   SoplexLp::SoplexLp(const SoplexLp& lp) {
-    _rows = lp._rows;
-    _cols = lp._cols;
+    rows = lp.rows;
+    cols = lp.cols;
 
     soplex = new soplex::SoPlex;
@@ -123,10 +123,10 @@
 
   void SoplexLp::_eraseColId(int i) {
-    _cols.eraseIndex(i);
-    _cols.relocateIndex(i, _cols.maxIndex());
+    cols.eraseIndex(i);
+    cols.relocateIndex(i, cols.maxIndex());
   }
   void SoplexLp::_eraseRowId(int i) {
-    _rows.eraseIndex(i);
-    _rows.relocateIndex(i, _rows.maxIndex());
+    rows.eraseIndex(i);
+    rows.relocateIndex(i, rows.maxIndex());
   }
 
@@ -433,6 +433,6 @@
     _row_names.clear();
     _row_names_ref.clear();
-    _cols.clear();
-    _rows.clear();
+    cols.clear();
+    rows.clear();
     _clear_temporals();
   }
Index: lemon/static_graph.h
===================================================================
--- lemon/static_graph.h	(revision 1328)
+++ lemon/static_graph.h	(revision 956)
@@ -204,5 +204,5 @@
 
       node_num = n;
-      arc_num = static_cast<int>(std::distance(first, last));
+      arc_num = std::distance(first, last);
 
       node_first_out = new int[node_num + 1];
Index: lemon/time_measure.h
===================================================================
--- lemon/time_measure.h	(revision 1340)
+++ lemon/time_measure.h	(revision 1270)
@@ -24,7 +24,5 @@
 ///\brief Tools for measuring cpu usage
 
-#include <lemon/config.h>
-
-#ifdef LEMON_WIN32
+#ifdef WIN32
 #include <lemon/bits/windows.h>
 #else
@@ -105,5 +103,5 @@
     void stamp()
     {
-#ifndef LEMON_WIN32
+#ifndef WIN32
       timeval tv;
       gettimeofday(&tv, 0);
Index: test/CMakeLists.txt
===================================================================
--- test/CMakeLists.txt	(revision 1350)
+++ test/CMakeLists.txt	(revision 1264)
@@ -55,5 +55,4 @@
   tsp_test
   unionfind_test
-  vf2_test
 )
 
Index: test/arc_look_up_test.cc
===================================================================
--- test/arc_look_up_test.cc	(revision 1312)
+++ test/arc_look_up_test.cc	(revision 1270)
@@ -25,4 +25,5 @@
 using namespace lemon;
 
+const int lgfn = 4;
 const std::string lgf =
   "@nodes\n"
Index: test/bellman_ford_test.cc
===================================================================
--- test/bellman_ford_test.cc	(revision 1337)
+++ test/bellman_ford_test.cc	(revision 1270)
@@ -102,8 +102,4 @@
 
     for (BF::ActiveIt it(const_bf_test); it != INVALID; ++it) {}
-    for (auto n: const_bf_test.activeNodes()) { ::lemon::ignore_unused_variable_warning(n); }
-    for (Digraph::Node n: const_bf_test.activeNodes()) {
-      ::lemon::ignore_unused_variable_warning(n);
-    }
   }
   {
Index: test/bpgraph_test.cc
===================================================================
--- test/bpgraph_test.cc	(revision 1292)
+++ test/bpgraph_test.cc	(revision 1270)
@@ -79,5 +79,4 @@
     e2 = G.addEdge(bn1, rn1),
     e3 = G.addEdge(rn1, bn2);
-  ::lemon::ignore_unused_variable_warning(e2,e3);
 
   checkGraphNodeList(G, 3);
@@ -121,5 +120,4 @@
     e1 = G.addEdge(n1, n2), e2 = G.addEdge(n1, n3),
     e3 = G.addEdge(n4, n2), e4 = G.addEdge(n4, n3);
-  ::lemon::ignore_unused_variable_warning(e1,e3,e4);
 
   // Check edge deletion
@@ -170,5 +168,4 @@
     e1 = G.addEdge(n1, n2), e2 = G.addEdge(n1, n3),
     e3 = G.addEdge(n4, n2), e4 = G.addEdge(n4, n3);
-  ::lemon::ignore_unused_variable_warning(e1,e3,e4);
 
   G.changeRed(e2, n4);
@@ -223,5 +220,4 @@
     e1 = G.addEdge(n1, n2),
     e2 = G.addEdge(n1, n3);
-  ::lemon::ignore_unused_variable_warning(e1,e2);
 
   checkGraphNodeList(G, 3);
@@ -309,5 +305,4 @@
     e1 = g.addEdge(n1, n2),
     e2 = g.addEdge(n1, n3);
-  ::lemon::ignore_unused_variable_warning(e2);
 
   check(g.valid(n1), "Wrong validity check");
Index: test/graph_test.h
===================================================================
--- test/graph_test.h	(revision 1337)
+++ test/graph_test.h	(revision 1270)
@@ -39,25 +39,4 @@
     check(n==INVALID,"Wrong Node list linking.");
     check(countNodes(G)==cnt,"Wrong Node number.");
-
-#ifdef LEMON_CXX11
-    {
-      typename Graph::NodeIt n(G);
-      for(auto u: G.nodes())
-        {
-          check(n==u,"Wrong STL Node iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL Node iterator.");
-    }
-    {
-      typename Graph::NodeIt n(G);
-      for(typename Graph::Node u: G.nodes())
-        {
-          check(n==u,"Wrong STL Node iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL Node iterator.");
-    }
-#endif
   }
 
@@ -78,24 +57,4 @@
     check(n==INVALID,"Wrong red Node list linking.");
     check(countRedNodes(G)==cnt,"Wrong red Node number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::RedNodeIt n(G);
-      for(auto u: G.redNodes())
-        {
-          check(n==u,"Wrong STL RedNode iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL RedNode iterator.");
-    }
-    {
-      typename Graph::RedNodeIt n(G);
-      for(typename Graph::RedNode u: G.redNodes())
-        {
-          check(n==u,"Wrong STL RedNode iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL RedNode iterator.");
-    }
-#endif
   }
 
@@ -116,25 +75,4 @@
     check(n==INVALID,"Wrong blue Node list linking.");
     check(countBlueNodes(G)==cnt,"Wrong blue Node number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::BlueNodeIt n(G);
-      for(auto u: G.blueNodes())
-        {
-          check(n==u,"Wrong STL BlueNode iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL BlueNode iterator.");
-    }
-    {
-      typename Graph::BlueNodeIt n(G);
-      for(typename Graph::BlueNode u: G.blueNodes())
-        {
-          check(n==u,"Wrong STL BlueNode iterator.");
-          ++n;
-        }
-      check(n==INVALID,"Wrong STL BlueNode iterator.");
-    }
-#endif
-
   }
 
@@ -153,25 +91,4 @@
     check(e==INVALID,"Wrong Arc list linking.");
     check(countArcs(G)==cnt,"Wrong Arc number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::ArcIt a(G);
-      for(auto e: G.arcs())
-        {
-          check(a==e,"Wrong STL Arc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL Arc iterator.");
-    }
-    {
-      typename Graph::ArcIt a(G);
-      for(typename Graph::Arc e: G.arcs())
-        {
-          check(a==e,"Wrong STL Arc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL Arc iterator.");
-    }
-#endif
-
   }
 
@@ -189,25 +106,4 @@
     check(e==INVALID,"Wrong OutArc list linking.");
     check(countOutArcs(G,n)==cnt,"Wrong OutArc number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::OutArcIt a(G,n);
-      for(auto e: G.outArcs(n))
-        {
-          check(a==e,"Wrong STL OutArc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL OutArc iterator.");
-    }
-    {
-      typename Graph::OutArcIt a(G,n);
-      for(typename Graph::Arc e: G.outArcs(n))
-        {
-          check(a==e,"Wrong STL OutArc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL OutArc iterator.");
-    }
-#endif
-
   }
 
@@ -225,24 +121,4 @@
     check(e==INVALID,"Wrong InArc list linking.");
     check(countInArcs(G,n)==cnt,"Wrong InArc number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::InArcIt a(G,n);
-      for(auto e: G.inArcs(n))
-        {
-          check(a==e,"Wrong STL InArc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL InArc iterator.");
-    }
-    {
-      typename Graph::InArcIt a(G,n);
-      for(typename Graph::Arc e: G.inArcs(n))
-        {
-          check(a==e,"Wrong STL InArc iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL InArc iterator.");
-    }
-#endif
   }
 
@@ -259,25 +135,4 @@
     check(e==INVALID,"Wrong Edge list linking.");
     check(countEdges(G)==cnt,"Wrong Edge number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::EdgeIt a(G);
-      for(auto e: G.edges())
-        {
-          check(a==e,"Wrong STL Edge iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL Edge iterator.");
-    }
-    {
-      typename Graph::EdgeIt a(G);
-      for(typename Graph::Edge e: G.edges())
-        {
-          check(a==e,"Wrong STL Edge iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL Edge iterator.");
-    }
-#endif
-
   }
 
@@ -296,25 +151,4 @@
     check(e==INVALID,"Wrong IncEdge list linking.");
     check(countIncEdges(G,n)==cnt,"Wrong IncEdge number.");
-#ifdef LEMON_CXX11
-    {
-      typename Graph::IncEdgeIt a(G,n);
-      for(auto e: G.incEdges(n))
-        {
-          check(a==e,"Wrong STL IncEdge iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL IncEdge iterator.");
-    }
-    {
-      typename Graph::IncEdgeIt a(G,n);
-      for(typename Graph::Edge e: G.incEdges(n))
-        {
-          check(a==e,"Wrong STL IncEdge iterator.");
-          ++a;
-        }
-      check(a==INVALID,"Wrong STL IncEdge iterator.");
-    }
-#endif
-
   }
 
